### Method

# GUPnPAV DIDLLiteCreateClass set_friendly_name

#### Declaration [src]

    void
    gupnp_didl_lite_create_class_set_friendly_name (
      GUPnPDIDLLiteCreateClass* create_class,
      const char* friendly_name
    )

#### Description [src]

Set the friendly name of the `create_class`.

Sets property | `GUPnPAV.DIDLLiteCreateClass:friendly-name`

#### Parameters

`friendly_name`

  Type: `const char*`

  The friendly name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.